<?php
define('THEME_URL', get_template_directory_uri());


if ( ! isset( $content_width ) ) $content_width = 900;

add_theme_support( 'automatic-feed-links' );

include_once( 'framwork/gittly/gittly.php' );
include_once( 'framwork/gittly-page/gittly-page.php' );
include_once( 'framwork/gittly-shortcodes/gittly-shortcodes.php' );
include_once( 'framwork/options/theme-options.php');

include_once( 'TGM-Plugin-Activation/init.php');

new gittly_frontend_js('easing');

/*fitvids*/
new gittly_frontend_js('fitvids');

/*selectnav*/
new gittly_frontend_js('selectnav');

/*modernizr*/
new gittly_frontend_js('modernizr');

/*mediaqueries*/
new gittly_frontend_js('mediaqueries');

/*comment-reply*/
new gittly_frontend_js('comment-reply');

new gittly_frontend_css('supersized', THEME_URL.'/css/supersized.css', '');
new gittly_frontend_js('supersized', THEME_URL.'/js/supersized.3.2.7.min.js', array('jquery'), '');
new gittly_frontend_js('supersized-shutter', THEME_URL.'/js/supersized.shutter.min.js', array('supersized'), '');

new gittly_frontend_js('jquery-magnific-popup', THEME_URL.'/js/jquery.magnific-popup.min.js', array('jquery'), '', true);
new gittly_frontend_css('jquery-magnific-popup', THEME_URL.'/css/magnific-popup.css', '');

new gittly_frontend_js('script', THEME_URL.'/js/script.js', array('jquery'), '', true);

new gittly_frontend_css('wedding-plus-mix', THEME_URL.'/css/mix.css', '');
new gittly_frontend_css('fontawesome', THEME_URL.'/css/font-awesome.min.css', '');
new gittly_frontend_css('wedding-plus', THEME_URL.'/style.css', '');
new gittly_frontend_css('wedding-plus-responsive', THEME_URL.'/css/responsive.css', '');

// Localization Support
add_action('after_setup_theme', 'gittly_load_theme_textdomain');
function gittly_load_theme_textdomain(){
	load_theme_textdomain( 'gittly', get_template_directory().'/languages' );	
}


add_action('admin_enqueue_scripts', 'digitafn_admin_script_load');
function digitafn_admin_script_load(){	
	wp_enqueue_script('theme-admin', THEME_URL.'/js/theme-admin.js', array('jquery'), '', true);
}


/*add thumbnails support*/
add_theme_support( 'post-thumbnails' );
add_image_size( "blog_thumb", 800, 330, true );
add_image_size( "gallery_thumb", 247, 242, true );

add_filter('widget_text', 'do_shortcode');

/*Remove junk*/
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'feed_links', 2);
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'feed_links_extra', 3);
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link', 10, 0);

/*Register Menu*/
register_nav_menus( array(
	'main_menu' => 'Main Menu',
) );

/*Refister Sidebar*/
register_sidebar( array(
	'name' => __('Footer Widget #1', 'gittly'),
	'id' => 'footer_widgets_1',
	'description' => __('Footer Widgets One', 'gittly'),
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => "</div><div class='clear' style='height:30px;'></div>",
	'before_title' => '<h3 class="heading">',
	'after_title' => '</h3>',
));
register_sidebar( array(
	'name' => __('Footer Widget #2', 'gittly'),
	'id' => 'footer_widgets_2',
	'description' => __('Footer Widgets 2', 'gittly'),
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => "</div><div class='clear' style='height:30px;'></div>",
	'before_title' => '<h3 class="heading">',
	'after_title' => '</h3>',
));
register_sidebar( array(
	'name' => __('Footer Widget #3', 'gittly'),
	'id' => 'footer_widgets_3',
	'description' => __('Footer Widgets 3', 'gittly'),
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => "</div><div class='clear' style='height:30px;'></div>",
	'before_title' => '<h3 class="heading">',
	'after_title' => '</h3>',
));


if ( ! function_exists( 'ot_get_option' ) ) {
  function ot_get_option( $option_id, $default = '' ) {
    
    /* get the saved options */ 
    $options = get_option('option_tree');
    
    /* look for the saved value */
    if ( isset( $options[$option_id] ) && '' != $options[$option_id] ) {
        
      return ot_wpml_filter( $options, $option_id );
      
    }
    
    return $default;
    
  }
  
}

if ( ! function_exists( 'ot_wpml_filter' ) ) {
  function ot_wpml_filter( $options, $option_id ) {
      
    // Return translated strings using WMPL
    if ( function_exists('icl_t') ) {
      
      $settings = get_option( ot_settings_id() );
      
      if ( isset( $settings['settings'] ) ) {
      
        foreach( $settings['settings'] as $setting ) {
          
          // List Item & Slider
          if ( $option_id == $setting['id'] && in_array( $setting['type'], array( 'list-item', 'slider' ) ) ) {
          
            foreach( $options[$option_id] as $key => $value ) {
          
              foreach( $value as $ckey => $cvalue ) {
                
                $id = $option_id . '_' . $ckey . '_' . $key;
                $_string = icl_t( 'Theme Options', $id, $cvalue );
                
                if ( ! empty( $_string ) ) {
                
                  $options[$option_id][$key][$ckey] = $_string;
                  
                }
                
              }
            
            }
          
          // List Item & Slider
          } else if ( $option_id == $setting['id'] && $setting['type'] == 'social-links' ) {
          
            foreach( $options[$option_id] as $key => $value ) {
          
              foreach( $value as $ckey => $cvalue ) {
                
                $id = $option_id . '_' . $ckey . '_' . $key;
                $_string = icl_t( 'Theme Options', $id, $cvalue );
                
                if ( ! empty( $_string ) ) {
                
                  $options[$option_id][$key][$ckey] = $_string;
                  
                }
                
              }
            
            }
          
          // All other acceptable option types
          } else if ( $option_id == $setting['id'] && in_array( $setting['type'], apply_filters( 'ot_wpml_option_types', array( 'text', 'textarea', 'textarea-simple' ) ) ) ) {
          
            $_string = icl_t( 'Theme Options', $option_id, $options[$option_id] );
            
            if ( ! empty( $_string ) ) {
            
              $options[$option_id] = $_string;
              
            }
            
          }
          
        }
      
      }
    
    }
    
    return $options[$option_id];
  
  }
}


function theme_logo($logo = '', $des = 'yes', $retina_logo = NULL){
	if( $retina_logo != NULL ){ $retina_logo = 'data-at2x="'.$retina_logo.'"'; }
	?>
    <div id="logo">
		<?php if($logo != ''): ?>
			<a href="<?php echo home_url(); ?>"><img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" <?php echo $retina_logo; ?>></a>
		<?php else: ?>
			<h1><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
		<?php endif; ?>
        <?php if($des == 'yes'){ ?> <div class="dea"></div><span><?php bloginfo( 'description' ); ?></span><?php } ?>
	</div>
    <?php	
}


add_action('wp_head', 'digita_page_background');
function digita_page_background(){
	echo '<style type="text/css">';
		if(is_array(get_post_meta(get_the_ID(), 'wpage_bg', true))){
			$site_background = get_post_meta(get_the_ID(), 'wpage_bg', true);
			if( isset( $site_background['background-color']) && !empty($site_background['background-color'] ) )
				{ echo 'body{ background-color:'.$site_background['background-color'].'; }'; }
			if( isset( $site_background['background-image']) && !empty($site_background['background-image'] ) )
				{ echo 'body{ background-image:url('.$site_background['background-image'].'); }'; }
			if( isset( $site_background['background-attachment']) && !empty($site_background['background-attachment'] ) )
				{ echo 'body{ background-attachment:'.$site_background['background-attachment'].'; }'; }
			if( isset( $site_background['background-position']) && !empty($site_background['background-position'] ) )
				{ echo 'body{ background-position:'.$site_background['background-position'].'; }'; }
			if( isset( $site_background['background-repeat']) && !empty($site_background['background-repeat'] ) )
				{ echo 'body{ background-repeat:'.$site_background['background-repeat'].'; }'; }
		}
	echo '</style>';
}


add_action('wp_head', 'supersized_gallery');
function supersized_gallery(){
	if(get_post_meta(get_the_ID(), 'wpage_enable_bg_slideshow', true) == 'no'){ return;
	
	}else{
	
		$images = get_post_meta(get_the_ID(), 'wpage_images', true);
		if(!is_array($images)){ $images = ot_get_option('wpage_images'); }
		
		if(is_array($images)):
			
		?>
		<script type="text/javascript">
				
				jQuery(function($){
					
					$.supersized({
					
						// Functionality
						slide_interval          :   4000,		// Length between transitions
						transition              :   1, 			// 0-None, 1-Fade, 2-Slide Top, 3-Slide Right, 4-Slide Bottom, 5-Slide Left, 6-Carousel Right, 7-Carousel Left
						transition_speed		:	900,		// Speed of transition
																   
						// Components							
						slide_links				:	false,	// Individual links for each slide (Options: false, 'num', 'name', 'blank')
						slides 					:  	[			// Slideshow Images
															<?php foreach($images as $images): ?>
															{image : '<?php echo $images['image']; ?>'},
															<?php endforeach; ?>
													]
						
					});
				});
				
			</script>
		<?php
			
		endif;
		
	}
	
}


$gallery_args=array(
	'rewrite' => array( 'slug' => 'gallery-link' ),
	'supports' => array( 'title','thumbnail'),
);
new gittly_register_postType('wpz_gallery', 'Gallery', '', $gallery_args);


/*Register Meta Box
--------------------------------------------------------------------------*/
$metabox = array(
	array(
        'id'          => 'gallery_slideshow',
        'label'       => __('Enable Galley Slideshow', 'gittly'),
        'desc'        => __('This will allow prettyPhoto Slideshow', 'gittly'),
        'std'         => 'yes',
        'type'        => 'select',
        'section'     => 'general',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'choices'     => array( 
          array(
            'value'       => 'yes',
            'label'       => 'Yes',
            'src'         => ''
          ),
          array(
            'value'       => 'no',
            'label'       => 'No',
            'src'         => ''
          )
        ),
      ),
	array(
        'id'          => 'gallery_images',
        'label'       => __('Images Of The Gallery', 'gittly'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'list-item',
        'section'     => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => '',
        'settings'    => array( 
			array(
				'id'          => 'image',
				'label'       =>  __('Upload an Image', 'gittly'),
				'desc'        => '',
				'std'         => '',
				'type'        => 'upload',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => ''
			),
			array(
				'id'          => 'link',
				'label'       =>  __('Link', 'gittly'),
				'desc'        => __('If you want to link the image instead of Popup', 'gittly'),
				'std'         => '',
				'type'        => 'text',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => ''
			),
		)
	)

);
new gittly_option_tree_metabox(array('wpz_gallery'), __('Gallery Images', 'gittly'), 'gallery_setting', $metabox);


function get_attachment_id_by_src ($image_src) {

    global $wpdb;
    $query = "SELECT ID FROM {$wpdb->posts} WHERE guid='$image_src'";
    $id = $wpdb->get_var($query);
    return $id;

}

/* Output Theme title
-------------------------------------------------*/
function gittly_title() {
	
	global $wp_query;
	
	$output = '';

	if (is_archive()) {
		if (is_category()) $output = __('Category Archive', 'gittly') . ' &raquo; ' . single_cat_title('', false);
		if (is_author()) {
			$curauth = get_userdata(get_query_var('author'));			
			$output = __('Author Archive', 'gittly') . ' &raquo; ' . $curauth->display_name;
		}
		if (is_tag()) $output = __('Tag Archive', 'gittly') . ' &raquo; ' . single_tag_title('', false);
		if (is_year()) $output = __('Yearly Archive', 'gittly') . ' &raquo; ' . get_the_date('Y');
		if (is_month()) $output = __('Monthly Archive', 'gittly') . ' &raquo; ' . get_the_date('F Y');
		if (is_day()) $output = __('Daily Archive', 'gittly') . ' &raquo; ' . get_the_date('d F Y');
	}
	elseif (is_search()) $output = __('Search Results', 'gittly') . ' &quot;' . get_search_query() . '&quot;';
	elseif (!(is_404()) && (is_single()) || (is_page())) $output = get_the_title();
	elseif (is_404()) $output = __('Not Found', 'gittly');
	elseif (is_home()) $output = get_bloginfo('name') . ' - ' . get_bloginfo('description');
	else $output = get_the_title();
	
	echo $output;
}



function digita_hex2rgb($hex, $arry_format = false) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   
   if( $arry_format == true ){
		return $rgb; // returns an array with the rgb values
   }else{
		return implode(",", $rgb); // returns the rgb values separated by commas
   } 
}


/*
   WPML
-----------------------------------*/
function digita_wpml_language_switcher($start = '', $end = ''){
	if(function_exists('icl_get_languages')){
		echo $start;
			$items = icl_get_languages('skip_missing=1&orderby=id&order=asc&link_empty_to=empty');
			if(is_array($items) && !empty($items)){
				foreach( $items as $item ){
					echo '<a href="'.$item['url'].'" class="active_'.$item['active'].'" title="'.$item['translated_name'].'">';
						echo '<img src="'.$item['country_flag_url'].'" alt="'.$item['translated_name'].'" />';
					echo '</a>';
				}
			}
		echo $end;
	}
}


/*
   Load google font
-----------------------------------*/
add_action('wp_head', 'digita_typography_actions');
function digita_typography_actions(){
	if(ot_get_option('enable_google_fonts') == 'yes'){
		echo ot_get_option('headings_google_font_link');
		echo ot_get_option('body_google_font_link');
		echo ot_get_option('logo_google_font_link');
		
		echo '<style type="text/css">';
			if(ot_get_option('enable_google_fonts') == 'yes'){
				if(ot_get_option('headings_google_font_family')){
					echo '#wrapper h1, #wrapper h2, #wrapper h3, #wrapper h4, #wrapper h5, #wrapper h6{ '.ot_get_option('headings_google_font_family').'}';
				}
				if(ot_get_option('body_google_font_family')){
					echo 'body{ '.ot_get_option('body_google_font_family').'}';
				}
				
				if(ot_get_option('logo_google_font_family')){
					echo '.home-box-warper h1 a, #logo h1, .copyright span{ '.ot_get_option('logo_google_font_family').'}';
				}
			}
			if(ot_get_option('h1_font_size')){ echo 'h1{ font-size:'.ot_get_option('h1_font_size').'; }'; }
			if(ot_get_option('h2_font_size')){ echo 'h2{ font-size:'.ot_get_option('h2_font_size').'; }'; }
			if(ot_get_option('h3_font_size')){ echo 'h3{ font-size:'.ot_get_option('h3_font_size').'; }'; }
			if(ot_get_option('h4_font_size')){ echo 'h4{ font-size:'.ot_get_option('h4_font_size').'; }'; }
			if(ot_get_option('h5_font_size')){ echo 'h5{ font-size:'.ot_get_option('h5_font_size').'; }'; }
			if(ot_get_option('h6_font_size')){ echo 'h6{ font-size:'.ot_get_option('h6_font_size').'; }'; }
			if(ot_get_option('body_font_size')){ echo 'body{ font-size:'.ot_get_option('body_font_size').'; }'; }
		echo '</style>';
	}
}